Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.io
Class ParserException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.semanticweb.owl.model.OWLException
                        |
                        +--org.semanticweb.owl.io.ParserException

All Implemented Interfaces:
  Serializable

public class ParserException
extends OWLException

ParserException.java Created: Thu Dec 19 15:57:01 2002

Version:
  $Id: ParserException.java,v 1.1.1.1 2003/10/14 17:10:08 sean_bechhofer Exp $
See Also:
  Serialized Form

Constructor Summary
`ParserException(String message)`
`ParserException(String string, Exception e)` Exception that has another Exception as a cause
`ParserException(String string, Exception e, int code)` Exception that has another Exception as a cause

Method Summary
`int` | `getCode()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParserException

    public ParserException(String message)

### ParserException

    public ParserException(String string,
                           Exception e)

  Exception that has another Exception as a cause

Parameters:
  `string` - - the message
  `e` - - the causing exception

### ParserException

    public ParserException(String string,
                           Exception e,
                           int code)

  Exception that has another Exception as a cause

Parameters:
  `string` - - the message
  `e` - - the causing exception

Method Detail

### getCode

    public int getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb